<?php

namespace Teknisa\COC\Controllers;

use Zeedhi\Framework\DTO;

class CadastroChefController {

    protected $environment;
    protected $connection;
	public function __construct($environment, $connection) {
        $this->environment = $environment;
        $this->connection = $connection;
    }

    public function alterarChef(DTO\Request\DataSet $request, DTO\Response $response){
        $operadores = $request->getDataSet()->getRows();
        $sql = "UPDATE OPERADOR SET IDCHEFERECEITAM = :IDCHEFERECEITAM WHERE CDOPERADOR = :CDOPERADOR AND NRORG = :NRORG";
        $params = array(
            'CDOPERADOR' => '',
            'IDCHEFERECEITAM' => '',
            'NRORG' => $this->environment->getNrOrg()
        );
        foreach($operadores as $oper){
            $stmt = $this->connection->prepare($sql);
            $params['CDOPERADOR'] = $oper['CDOPERADOR_TO_UPDATE'];
            $params['IDCHEFERECEITAM'] = $oper['IDCHEFERECEITAM'];
            $stmt->execute($params);
        }
    }

}