<?php
namespace Teknisa\COC\Controllers;

use Zeedhi\Framework\Report\ReportService;

class RelatorioApresentacao extends \Zeedhi\Framework\Controller\Report {

    public function __construct(ReportService $reportService) {
        parent::__construct($reportService);
    }

    protected $reportMapping = array (
        'COC03100' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
              "CDCLASSE"         => "CDCLASSE",
              "NRSERVICOGEN"     => "NRSERVICOGEN",
              "CDFILIAL"         => "CDFILIAL",
              "CDCIA"            => "CDCIA",
              "NRAPRESENTACIA"   => "NRAPRESENTACIA",
              "NRORG"            => "NRORG",
              "SVPATH"           => "SVPATH"
            )
        ),
       'COC03101' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
              "CDCONTROLE"       => "CDCONTROLE",
              "NRORG"            => "NRORG",
              "NRAPRESENTACIA"   => "NRAPRESENTACIA",
              "CDCIA"            => "CDCIA",
              "SVPATH"           => "SVPATH",
              "CDFILIAL"         => "CDFILIAL"
            )
        )
    );

}