<?php

namespace Teknisa\COC\Services;

use \Doctrine\ORM\EntityManager;

class ApresentacaoService{
	protected $entityManager;

	public function __construct(EntityManager $entityManager) {
		$this->entityManager = $entityManager;
	}

	public function getOldFfglogosubapcia($cdcia, $cdsubgru, $nrapresentacia, $nrservicogen, $cdciclo, $cdclasse, $nrorg){
		$params = array("cdcia" => $cdcia,
						"cdsubgru" => $cdsubgru,
						"nrapresentacia" => $nrapresentacia,
						"nrservicogen" => $nrservicogen,
						"cdciclo" => $cdciclo,
						"cdclasse" => $cdclasse,
						"nrorg" => $nrorg
		);
		$conn = $this->entityManager->getConnection();
		$rows = $conn->fetchAll("SELECT FGLOGOSUBAPCIA FROM CICLOSUBGRUSEAPCIA WHERE CDCIA = :cdcia AND CDSUBGRU = :cdsubgru AND NRAPRESENTACIA = :nrapresentacia AND NRSERVICOGEN = :nrservicogen AND CDCICLO = :cdciclo AND CDCLASSE = :cdclasse AND NRORG = :nrorg", $params);
		return (isset($rows[0]) && isset($rows[0]['FGLOGOSUBAPCIA'])) ? $rows[0]['FGLOGOSUBAPCIA'] : null;
	}
}